---
title: "Install GoHighLevel"
api: "GET /v1/api/crm/install"
description: "Get the GoHighLevel OAuth authorization URL to connect your GHL CRM."
---

## Headers
<ParamField header="x-workspace-id" type="string" required>
Workspace identifier for the API.
</ParamField>

## Query Parameters

<ParamField query="pathwayId" type="string" required>
The call flow pathway ID to connect GoHighLevel to.
</ParamField>

## Response Fields

<ResponseField name="url" type="string">
The GoHighLevel OAuth authorization URL. Redirect the user to this URL to authorize the connection.
</ResponseField>

<ResponseExample>
```json
{
  "url": "https://marketplace.gohighlevel.com/oauth/chooselocation?response_type=code&client_id=...&redirect_uri=...&state=..."
}
```
</ResponseExample>
